
# Youtube MCP Server

An MCP Server for the Youtube API.

## Supported Integrations

- AgentR
- API Key (Coming Soon)
- OAuth (Coming Soon)

## Tools

This is automatically generated from OpenAPI schema for the Youtube API.

## Supported Integrations

This tool can be integrated with any service that supports HTTP requests.

## Tool List

| Tool | Description |
|------|-------------|
| get_jobs_job_reports | Retrieves job reports for a specific job based on provided filters and parameters. |
| get_jobs_job_reports_report | Retrieves a report for a specified job using the jobId and reportId. |
| delete_jobs_job | Deletes a job with the specified job ID, optionally acting on behalf of a content owner. |
| get_jobs | Retrieves a list of jobs from the server, optionally filtering by specified query parameters. |
| get_media_resource_name | Retrieves a media resource by name and returns its JSON representation. |
| get_reporttypes | Retrieves a list of report types from the API with optional filtering and pagination. |
| delete_captions | Deletes captions from a specified resource. |
| get_captions | Retrieves captions for a specified video by its ID, optionally allowing additional query customizations. |
| delete_comments | Deletes a comment or comments from the server based on the specified ID. |
| add_comments_mark_a_s_spam | Marks a comment as spam by sending a POST request to the specified API endpoint. |
| add_comments_set_moderation_status | Sets the moderation status for a comment and optionally bans the author. |
| delete_live_broadcasts | Deletes live broadcasts from a platform using specified query parameters. |
| add_live_broadcasts_bind | Binds a live broadcast to a stream on YouTube, using specified parameters to authenticate and identify the broadcast and stream. |
| add_live_broadcasts_control | Controls a live broadcast by sending a POST request with specified parameters. |
| add_live_broadcasts_transition | Transitions a live broadcast to a specified status for a given broadcast ID. |
| delete_live_chat_bans | Deletes a live chat ban identified by the given ID from the server. |
| delete_live_chat_messages | Deletes live chat messages based on the specified message ID. |
| delete_live_chat_moderators | Deletes a live chat moderator by ID. |
| delete_videos | Deletes videos based on specified criteria from a video platform. |
| get_videos_get_rating | Retrieves the rating of a video using video ID and optional content owner specification. |
| add_videos_rate | Submit a rating for a video on the server using the provided video ID and rating value. |
| add_videos_report_a_buse | Sends a report to YouTube indicating a video's potential abuse. |
| add_watermarks_set | Sets watermarks on a specified YouTube channel using optional content owner credentials. |
| add_watermarks_unset | Removes watermarks from a YouTube channel specified by channel ID. |
| get_a_ctivities | Fetches a list of activities from a specified YouTube channel or across the platform. |
| add_channel_banners_insert | Inserts a new channel banner for a specified YouTube channel using YouTube Data API. |
| delete_channel_sections | Deletes channel sections from a platform specified by the base URL. |
| get_channels | Retrieves YouTube channels based on various filter criteria. |
| get_comment_threads | Fetches comment threads from a YouTube API endpoint based on provided filters. |
| get_fanfundingevents | Retrieves fan funding events based on specified filter criteria. |
| get_guecategories | Fetches guide categories from a remote service based on specified parameters. |
| get_languages | Fetches a list of supported languages from the internationalization API. |
| get_regions | Retrieves a list of i18n regions from a specified API endpoint. |
| delete_livestreams | Deletes a livestream resource from the YouTube Data API using optional filtering parameters. |
| delete_play_list_items | Deletes playlist items identified by the given id or on behalf of the specified content owner. |
| delete_playlists | Deletes playlists based on specified criteria. |
| get_search | Performs a search query on the YouTube Data API with a variety of optional filters and parameters. |
| get_sponsors | Fetches a list of sponsors from a server, applying optional filtering and pagination. |
| delete_subscriptions | Deletes subscriptions by sending a DELETE request to the API. |
| get_superchatevents | Fetches a list of super chat events from the YouTube API with optional filtering parameters. |
| add_thumbnails_set | Sets a thumbnail for a specified video on behalf of a content owner using the YouTube API. |
| get_video_a_buse_report_reasons | Fetches a list of video abuse report reasons with optional localization and response filtering. |
| get_veocategories | Fetches video categories from an external API using specified query parameters. |
| delete_groupitems | Deletes group items based on specified parameters. |
| delete_groups | Deletes groups specified by their ID, optionally on behalf of a content owner. |
| get_reports | Fetches and returns report data based on specified filtering and sorting criteria. |



## Usage

- Login to AgentR
- Follow the quickstart guide to setup MCP Server for your client
- Visit Apps Store and enable the Youtube app
- Restart the MCP Server

### Local Development

- Follow the README to test with the local MCP Server
